/*
 * exampleStep4Inheritance.cpp
 * 
 * Author: Deborah R. Fowler
 * Date: Oct 19, 2019
 * 
 * Splitting a file into separate .cpp and .h for each class
 */


#include <iostream>
#include <string>
using namespace std;

#include "Phone.h"
#include "Mobile.h"
#include "Smart.h"

// Landline and Flip are left as an exercise

int main()
{
        Phone *pPhone = new Phone;
        // This will give an error because communicate is private
        // pPhone->communicate();
        
        // Now protected so not accessible here
        //cout << pPhone->provider;
    
        
        Mobile *pMobile = new Mobile;
        // not accessiable here
        // cout << pMobile->provider;
        cout << pMobile->batterylife;
        
        Smart *pSmart = new Smart;
        cout << "\napps = " << pSmart->apps;
        
        delete(pPhone);
        delete(pMobile);
        delete(pSmart);

}


